Creates a new bank account

Creates a new bank account. The newly created resource can be referenced by the URI given by a Location header field in the response.

Body Params
string
required
length between 32 and 32

The unique identifier of the customer this bank account object belongs to. Mandatory, unless a new customer to create is given.

customer
object
required

The request DTO for the CreateCustomer request.

string
length between 0 and 70

Account holder’s given name. Will be derived from the customer's first name if not filled in. Optional.

string
required
length between 15 and 34

The ISO 13616 international bank account number. For most countries, especially in the SEPA area, using the IBAN is the required way to specify a bank account. Optional when nested in hosted page or request to pay. For non-SEPA-Schemes, the country code and the national fields can be used. (bankCode, branchCode, accountNumber)

string
length between 8 and 11

The ISO 9362 business identifier code. Optional.

string
length between 3 and 3

The ISO 4217 currency code. If the bank account IBAN is filled in and available, the currency code will be derived from it. If this field is not filled in the currencyCode will be set to euro by default. Optional.

string
length between 2 and 2

The ISO 3166-1 alpha-2 country code. If the bank account IBAN is filled in and available, the country code will be derived from it.
Will be set to the german country code if empty. Optional. Note: If no IBAN is provided, the countryCode is mandatory together with the national fields.

string
length between 1 and 8

The national bank code. Length and format depend on national regulations defined by the country code. Optional, but only if IBAN is provided. Mandatory if field for IBAN is empty and national regulations require the field to be filled in.

string
length between 1 and 8

The national branch code. Length and format depend on national regulations defined by the country code. Optional, but only if IBAN is provided. Mandatory if field for IBAN is empty and national regulations require the field to be filled in.

string
length between 1 and 14

The national account number. Length and format depend on national regulations defined by the country code. Optional, but only if IBAN is provided. Mandatory if field for IBAN is empty and national regulations require the field to be filled in.

string
length between 0 and 32

The unique idempotency key of this entity creation. Optional, but highly recommended to use. When given, SEPAexpress checks whether an entity of this type with the specified idempotency key already exists, and fails the creation if a duplicate entity is found. The ID of the conflicting entity can be found in the error message.

string
length between 0 and 255

Memo for free use by the PSP.

Responses

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json